# =============
# DEVELOPMENT
# =============
OTHER_TECH = [
    "Docker",
    "Rkt",
    "LXC",
    "Vagrant",
    "Elasticsearch",
    "Nginx",
    "Git",
    "Jira",
    "REST",
    "Apache Hadoop",
    "Scrum",
    "Redmine",
    "Mercurial",
    "Apache Kafka",
    "Apache Spark"
]

LICENSES = [
    "Apache License, 2.0 (Apache-2.0)",
    "The BSD 3-Clause License",
    "The BSD 2-Clause License",
    "GNU General Public License (GPL)",
    "General Public License (LGPL)",
    "MIT software_license (MIT)",
    "Mozilla Public License 2.0 (MPL-2.0)",
    "Common Development and Distribution License (CDDL-1.0)",
    "Eclipse Public License (EPL-1.0)"
]

PROGRAMMING_LANGS = [
    "ASP",
    "Assembly",
    "AutoIt",
    "Awk",
    "Bash",
    "C",
    "C Shell",
    "C#",
    "C++",
    "Caml",
    "Ceylon",
    "Clojure",
    "CoffeeScript",
    "Common Lisp",
    "D",
    "Dart",
    "Delphi",
    "Dylan",
    "ECMAScript",
    "Elixir",
    "Emacs Lisp",
    "Erlang",
    "F#",
    "Falcon",
    "Fortran",
    "GNU Octave",
    "Go",
    "Groovy",
    "Haskell",
    "haXe",
    "Io",
    "J#",
    "Java",
    "JavaScript",
    "Julia",
    "Kotlin",
    "Lisp",
    "Lua",
    "Mathematica",
    "Objective-C",
    "OCaml",
    "Perl",
    "PHP",
    "PL-I",
    "PL-SQL",
    "PowerShell",
    "Prolog",
    "Python",
    "R",
    "Racket",
    "Ruby",
    "Rust",
    "Scala",
    "Scheme",
    "Smalltalk",
    "Tcl",
    "Tex",
    "Transact-SQL",
    "TypeScript",
    "Z shell"
]

NOSQL = (
    "Aerospike",
    "Aerospike",
    "AllegroGraph",
    "Apache Cassandra",
    "CouchDB",
    "Couchbase",
    "Hyperdex",
    "InfiniteGraph",
    "MUMPS",
    "MemcacheDB",
    "Memcached",
    "MongoDB",
    "Neo4J",
    "Redis",
    "RethinkDB",
    "Riak"
)

SQL = (
    "MariaDB",
    "MySQL",
    "PostgreSQL",
    "Oracle DB",
    "SQLite"
    "DB2"
)

BACKEND = [
    "C#",
    "C#/ASP.NET",
    "Java",
    "Java/Tapestry",
    "Go/Beego",
    "Python",
    "Python/Bottle",
    "Python/CherryPy",
    "Erlang",
    "Erlang/ChicagoBoss",
    "Erlang/Cowboy",
    "Clojure",
    "Django",
    "Python/Django",
    "Python/Flask/Gunicorn",
    "Elixir",
    "Elixir/Phoenix",
    "Elixir/Erlang",
    "Node.JS",
    "Node/Express",
    "Falcon",
    "Falcon/Python",
    "Flask",
    "Python/Flask",
    "Go/Gin",
    "Go/Martini",
    "Go",
    "Go/Gorilla",
    "Groovy/Grails",
    "Java",
    "PHP/Laravel",
    "PHP",
    "Lua",
    "Java/Ninja",
    "PHP/Symfony",
    "PHP/Yii 2",
    "Pyramid",
    "Python/Pyramid",
    "Python/Flask/SQLAlchemy",
    "Python/SQLAlchemy",
    "Python/Twisted",
    "Python/web2py",
    "Go/Revel",
    "Ruby",
    "Ruby on Rails",
    "Ruby/Sinatra",
    "Java/Spring",
    "PHP/Symfony",
    "Python/Tornado",
    "Werkzeug",
    "Python/Werkzeug",
    "PHP/Zend Framework"
]

FRONTEND = [
    "JavaScript/Angular 2",
    "JavaScript/Backbone",
    "Gulp/Bower/Sass",
    "JS/HTML/CSS/Canvas/SVG",
    "JavaScript/Ember",
    "JavaScript/React",
    "JavaScript/React/Redux",
    "JavaScript/React/Redux/Flux",
    "JS/HTML/CSS",
    "JavaScript/Highcharts.js",
    "JS/Twitter Bootstrap",
    "React/Canvas/SVG",
    "React/D3.js",
    'React/Redux/Babel',
    "JavaScript/Reflux/Redux",
    "JS/Sass/Less/Gulp",
    "Stylus/Sass/Webpack",
    "JavaScript/Vue",
    "JavaScript/jQuery",
    "TypeScript/React",
    "TypeScript/CSS/HTML",
    'Webpack/Grunt/PostCSS'
]

OS = [
    "Arch",
    "CentOS",
    "Debian",
    "Fedora",
    "FreeBSD",
    "Gentoo",
    "Kali",
    "Lubuntu",
    "Manjaro",
    "Mint",
    "OS X",
    "OpenBSD",
    "PCLinuxOS",
    "Slackware",
    "Ubuntu",
    "Windows 10",
    "Windows 7",
    "Windows 8",
    "Windows 8.1",
    "Zorin",
    "elementaryOS",
    "macOS",
    "openSUSE"
]

# =============
# FILE
# =============
EXTENSIONS = {
    "source": [
        ".a",
        ".asm",
        ".asp",
        ".awk",
        ".c",
        ".class",
        ".cpp",
        ".pl",
        ".js",
        ".java",
        ".clj",
        ".py",
        ".rb",
        ".hs",
        ".erl",
        ".rs",
        ".swift",
        ".html",
        ".json",
        ".xml",
        ".css",
        ".php",
        ".jl",
        ".r",
        ".cs",
        "d",
        ".lisp",
        ".cl",
        ".go",
        ".h",
        ".scala",
        ".sc",
        ".ts",
        ".sql"
    ],
    "text": [
        ".doc",
        ".docx",
        ".log",
        ".rtf",
        ".md",
        ".pdf",
        ".odt",
        ".txt"
    ],
    "data": [
        ".csv",
        ".dat",
        ".ged",
        ".pps",
        ".ppt",
        ".pptx"
    ],
    "audio": [
        ".flac",
        ".mp3",
        ".m3u",
        ".m4a",
        ".wav",
        ".wma"
    ],
    "video": [
        ".3gp",
        ".mp4",
        ".abi",
        ".m4v",
        ".mov",
        ".mpg",
        ".wmv"
    ],
    "image": [
        ".bmp",
        ".jpg",
        ".jpeg",
        ".png",
        ".svg"
    ],
    "executable": [
        ".apk",
        ".app",
        ".bat",
        ".jar",
        ".com",
        ".exe"
    ],
    "compressed": [
        ".7z",
        ".war",
        ".zip",
        ".tar.gz",
        ".tar.xz",
        ".rar"
    ]
}

MIME_TYPES = [
    "application/atom+xml",
    "application/ecmascript",
    "application/EDI-X12",
    "application/EDIFACT",
    "application/json",
    "application/javascript",
    "application/ogg",
    "application/pdf",
    "application/postscript",
    "application/rdf+xml",
    "application/rss+xml",
    "application/soap+xml",
    "application/font-woff",
    "application/xhtml+xml",
    "application/xml-dtd",
    "application/xop+xml",
    "application/zip",
    "application/gzip",
    "audio/basic",
    "audio/L24",
    "audio/mp4",
    "audio/mpeg",
    "audio/ogg",
    "audio/vorbis",
    "audio/vnd.rn-realaudio",
    "audio/vnd.wave",
    "audio/webm",
    "image/gif",
    "image/jpeg",
    "image/pjpeg",
    "image/png",
    "image/svg+xml",
    "image/tiff",
    "image/vnd.microsoft.icon",
    "message/http",
    "message/imdn+xml",
    "message/partial",
    "message/rfc822",
    "model/example",
    "model/iges",
    "model/mesh",
    "model/vrml",
    "model/x3d+binary",
    "model/x3d+vrml",
    "model/x3d+xml",
    "multipart/mixed",
    "multipart/alternative",
    "multipart/related",
    "multipart/form-data",
    "multipart/signed",
    "multipart/encrypted",
    "text/cmd",
    "text/css",
    "text/csv",
    "text/html",
    "text/javascript",
    "text/plain",
    "text/vcard",
    "text/xml",
    "video/mpeg",
    "video/mp4",
    "video/ogg",
    "video/quicktime",
    "video/webm",
    "video/x-matroska",
    "video/x-ms-wmv",
    "video/x-flv"
]

